package com.junmp.jyzb.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value="com-junmp-jyzb-domain-Policeman")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Policeman implements Serializable {
    /**
    * 警员id
    */
    @ApiModelProperty(value="警员id")
    private String id;

    /**
    * 警员名称
    */
    @ApiModelProperty(value="警员名称")
    private String name;

    /**
    * 单警柜关联id
    */
    @ApiModelProperty(value="单警柜关联id")
    private String cabinetId;

    /**
    * 机构代码，一个警员只属于一个机构
    */
    @ApiModelProperty(value="机构代码，一个警员只属于一个机构")
    private String orgId;

    /**
    * 警员编号
    */
    @ApiModelProperty(value="警员编号")
    private String policeCode;

    /**
    * 警员性别
    */
    @ApiModelProperty(value="警员性别")
    private String sex;

    /**
    * 警员照片
    */
    @ApiModelProperty(value="警员照片")
    private String photo;

    /**
    * 联系方式
    */
    @ApiModelProperty(value="联系方式")
    private String phone;

    /**
    * 创建时间
    */
    @ApiModelProperty(value="创建时间")
    private Date createTime;

    /**
    * 最后更新时间
    */
    @ApiModelProperty(value="最后更新时间")
    private Date updateTime;

    /**
    * 更新人员
    */
    @ApiModelProperty(value="更新人员")
    private String updateUser;

    /**
    * 软删除，0表存在，1表已删除
    */
    @ApiModelProperty(value="软删除，0表存在，1表已删除")
    private Integer existType;

    /**
    * 人脸信息
    */
    @ApiModelProperty(value="人脸信息")
    private String faceInfo;

    private static final long serialVersionUID = 1L;
}